Index: trunk/MagicSoft/Mars/mhbase/MFillH.cc
===================================================================
--- trunk/MagicSoft/Mars/mhbase/MFillH.cc	(revision 9044)
+++ trunk/MagicSoft/Mars/mhbase/MFillH.cc	(revision 9153)
@@ -564,10 +564,10 @@
 //        fCanvas->cd();
 
-    const Bool_t rc = fH->Fill(fParContainer, fWeight?fWeight->GetVal():1);
+    const Int_t rc = fH->Fill(fParContainer, fWeight?fWeight->GetVal():1);
     fH->SetNumExecutions(GetNumExecutions()+1);
 
 //    if (save && fCanvas)
 //        save->cd();
-    return rc==kFALSE ? kCONTINUE : kTRUE;
+    return rc;
 } 
 
Index: trunk/MagicSoft/Mars/mhbase/MH.cc
===================================================================
--- trunk/MagicSoft/Mars/mhbase/MH.cc	(revision 9044)
+++ trunk/MagicSoft/Mars/mhbase/MH.cc	(revision 9153)
@@ -1,4 +1,4 @@
 /* ======================================================================== *\
-! $Name: not supported by cvs2svn $:$Id: MH.cc,v 1.39 2008-06-14 15:55:52 tbretz Exp $
+! $Name: not supported by cvs2svn $:$Id: MH.cc,v 1.40 2008-11-11 11:42:13 tbretz Exp $
 ! --------------------------------------------------------------------------
 !
@@ -112,8 +112,8 @@
 // to your class definition.
 //
-Bool_t MH::Fill(const MParContainer *par, const Stat_t w)
+Int_t MH::Fill(const MParContainer *par, const Stat_t w)
 {
     *fLog << warn << GetDescriptor() << ": Fill not overloaded! Can't be used!" << endl;
-    return kFALSE;
+    return kERROR;
 }
 
Index: trunk/MagicSoft/Mars/mhbase/MH.h
===================================================================
--- trunk/MagicSoft/Mars/mhbase/MH.h	(revision 9044)
+++ trunk/MagicSoft/Mars/mhbase/MH.h	(revision 9153)
@@ -47,5 +47,5 @@
     virtual Bool_t SetupFill(const MParList *pList) { return kTRUE; }
     virtual Bool_t ReInit(MParList *pList) { return kTRUE; }
-    virtual Bool_t Fill(const MParContainer *par, const Stat_t weight=1);
+    virtual Int_t  Fill(const MParContainer *par, const Stat_t weight=1);
     virtual Bool_t Finalize() { return kTRUE; }
 
Index: trunk/MagicSoft/Mars/mhbase/MH3.cc
===================================================================
--- trunk/MagicSoft/Mars/mhbase/MH3.cc	(revision 9044)
+++ trunk/MagicSoft/Mars/mhbase/MH3.cc	(revision 9153)
@@ -674,5 +674,5 @@
 // Fills the one, two or three data members into our histogram
 //
-Bool_t MH3::Fill(const MParContainer *par, const Stat_t ww)
+Int_t MH3::Fill(const MParContainer *par, const Stat_t ww)
 {
     // Get Information about labels (UInt_t, to supress warning about
Index: trunk/MagicSoft/Mars/mhbase/MH3.h
===================================================================
--- trunk/MagicSoft/Mars/mhbase/MH3.h	(revision 9044)
+++ trunk/MagicSoft/Mars/mhbase/MH3.h	(revision 9153)
@@ -135,5 +135,5 @@
     // MH
     Bool_t SetupFill(const MParList *pList);
-    Bool_t Fill(const MParContainer *par, const Stat_t w=1);
+    Int_t  Fill(const MParContainer *par, const Stat_t w=1);
     Bool_t Finalize();
 
Index: trunk/MagicSoft/Mars/mhbase/MHArray.cc
===================================================================
--- trunk/MagicSoft/Mars/mhbase/MHArray.cc	(revision 9044)
+++ trunk/MagicSoft/Mars/mhbase/MHArray.cc	(revision 9153)
@@ -466,5 +466,5 @@
 // successfull filled.
 //
-Bool_t MHArray::Fill(const MParContainer *par, const Stat_t w)
+Int_t MHArray::Fill(const MParContainer *par, const Stat_t w)
 {
     const Int_t n = fArray->GetSize();
@@ -474,10 +474,10 @@
         *fLog << warn << "Histogram Index #" << fIdx << " out of bounds (>";
         *fLog << n << ")... skipped." << endl;
-        return kCONTINUE;
+        return kERROR;
     }
 
     if (fIdx==n)
         if (!CreateH())
-            return kFALSE;
+            return kERROR;
 
     return GetH()->Fill(par, w);
Index: trunk/MagicSoft/Mars/mhbase/MHArray.h
===================================================================
--- trunk/MagicSoft/Mars/mhbase/MHArray.h	(revision 9044)
+++ trunk/MagicSoft/Mars/mhbase/MHArray.h	(revision 9153)
@@ -42,5 +42,5 @@
 
     Bool_t SetupFill(const MParList *pList);
-    Bool_t Fill(const MParContainer *par, const Stat_t w=1);
+    Int_t  Fill(const MParContainer *par, const Stat_t w=1);
     Bool_t Finalize();
 
Index: trunk/MagicSoft/Mars/mhbase/MHMatrix.cc
===================================================================
--- trunk/MagicSoft/Mars/mhbase/MHMatrix.cc	(revision 9044)
+++ trunk/MagicSoft/Mars/mhbase/MHMatrix.cc	(revision 9153)
@@ -268,5 +268,5 @@
 // Add the values correspoding to the columns to the new row
 //
-Bool_t MHMatrix::Fill(const MParContainer *par, const Stat_t w)
+Int_t MHMatrix::Fill(const MParContainer *par, const Stat_t w)
 {
     AddRow();
Index: trunk/MagicSoft/Mars/mhbase/MHMatrix.h
===================================================================
--- trunk/MagicSoft/Mars/mhbase/MHMatrix.h	(revision 9044)
+++ trunk/MagicSoft/Mars/mhbase/MHMatrix.h	(revision 9153)
@@ -55,5 +55,5 @@
     Bool_t SetupFill(const MParList *pList);
 
-    Bool_t Fill(const MParContainer *par, const Stat_t w=1);
+    Int_t  Fill(const MParContainer *par, const Stat_t w=1);
     Bool_t Finalize();
 
Index: trunk/MagicSoft/Mars/mhbase/MHn.cc
===================================================================
--- trunk/MagicSoft/Mars/mhbase/MHn.cc	(revision 9044)
+++ trunk/MagicSoft/Mars/mhbase/MHn.cc	(revision 9153)
@@ -499,9 +499,12 @@
 // Call Fill for all initialized histograms
 //
-Bool_t MHn::Fill(const MParContainer *par, const Stat_t w)
+Int_t MHn::Fill(const MParContainer *par, const Stat_t w)
 {
     for (int i=0; i<fNum; i++)
-        if (!fHist[i]->Fill(par, w))
-            return kFALSE;
+    {
+        const Int_t rc = fHist[i]->Fill(par, w);
+        if (rc!=kTRUE)
+            return rc;
+    }
 
     return kTRUE;
Index: trunk/MagicSoft/Mars/mhbase/MHn.h
===================================================================
--- trunk/MagicSoft/Mars/mhbase/MHn.h	(revision 9044)
+++ trunk/MagicSoft/Mars/mhbase/MHn.h	(revision 9153)
@@ -67,5 +67,5 @@
     // MH
     Bool_t SetupFill(const MParList *pList);
-    Bool_t Fill(const MParContainer *par, const Stat_t w=1);
+    Int_t  Fill(const MParContainer *par, const Stat_t w=1);
     Bool_t Finalize();
 
